[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomSpeedButton.Loaded

Performs actions needed when LCL component streaming is completed for the control.

## Declaration

Source position: buttons.pp line 400

`protected procedure TCustomSpeedButton.Loaded; override;`

## Description

Loaded is called by the LCL streaming system when a root component was completely read from a stream and all properties and references to other objects have been resolved. Descendents of TComponent should override this method to perform additional processing when all published properties have been set from values obtained from the LCL component stream.

Application programmers should never call Loaded directly; this is done automatically by the LCL streaming system.

## See also

TComponent